Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf.extensions
Class PDFPageExtension

    java.lang.Object
      org.apache.fop.render.pdf.extensions.PDFObjectExtension
          org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
              org.apache.fop.render.pdf.extensions.PDFCollectionExtension
                  org.apache.fop.render.pdf.extensions.PDFDictionaryExtension
                      org.apache.fop.render.pdf.extensions.PDFPageExtension

    public class PDFPageExtension

extends PDFDictionaryExtension

Field Summary
`static java.lang.String` | `PROPERTY_PAGE_NUMBERS`

Fields inherited from class org.apache.fop.render.pdf.extensions.PDFDictionaryExtension
`PROPERTY_ID`

Fields inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
`PROPERTY_KEY`

Method Summary
`boolean` | `matchesPageNumber(int pageNumber)` Determine if page dictionary and page number matches.

Methods inherited from class org.apache.fop.render.pdf.extensions.PDFDictionaryExtension
`addEntry, findEntry, findEntryValue, getDictionaryType, getElementName, getEntries, getLastEntry, getProperty, getValue, setProperty, setValue, usesIDAttribute`

Methods inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
`getKey, setKey`

Methods inherited from class org.apache.fop.render.pdf.extensions.PDFObjectExtension
`getType, getValueAsBoolean, getValueAsNumber, getValueAsString, getValueAsXMLEscapedString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_PAGE_NUMBERS

    public static final java.lang.String PROPERTY_PAGE_NUMBERS

See Also:
  Constant Field Values

Method Detail

### matchesPageNumber

    public boolean matchesPageNumber(int pageNumber)

  Determine if page dictionary and page number matches.

  Parameters:
    `pageNumber` - page number, where first page number is 1
  Returns:
    true if this dictionary is a page dictionary and specified page number matches specified page-number property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.